Skip to main content
POST
/
v1
/
invoices
/
query-status
Query multiple invoice statuses in bulk
curl --request POST \
  --url https://dev.flextell.ai/api/v1/invoices/query-status \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Tenant: <x-tenant>' \
  --data '
{
  "ids": [
    2
  ]
}
'
{
  "success": "<string>",
  "data": {
    "success_count": 123,
    "failed_count": 123,
    "results": [
      {
        "invoice_id": "<string>",
        "success": true,
        "message": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Body

application/json
ids
integer[]
required

The list of IDs.

Required array length: 1 - 100 elements

An ID.

Required range: x >= 1

Response

success
string
required
data
object
required